This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 689789 - Resource Tree: Switching from a resource node to another where same tab and/or sub tab is not supported causes a continuous switch between tabs
Resource Tree: Switching from a resource node to another where same tab and/o...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-tree
  Show dependency treegraph
 
Reported: 2011-03-22 09:08 EDT by Sunil Kondkar
Modified: 2011-10-04 15:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sunil Kondkar 2011-03-22 09:08:29 EDT
Description of problem:

If a user is on a sub tab of the resource (Ex: 'Configuration->Current) and wants to navigate to another resource node in the resource tree (Ex: Resource for Ant Bundle Handler) where same tab and/or sub-tab is not supported, it causes a continuous switch between tabs like 'Summary' tab and 'Monitoring' tab of the resource.


Version-Release number of selected component (if applicable):

Build#1090 (Version: 4.0.0-SNAPSHOT Build Number: f19c23e)

Firefox version: 3.6.3

How reproducible:

Always

Steps to Reproduce:

1) Login to RHQ
.


2) Click on 'Inventory' menu item.



3) Click on 'Inventory->Platforms'.



4) Click on a resource node (Ex: RHQ Agent). Navigate to a tab and sub tab of the resource (Ex: 'Configuration->Current)



5) Click on another resource node (Ex: Resource for Ant Bundle Handler or JBossAS5 resource) where same tab and/or sub-tab is not supported.


Actual results:

There is a continuous switch between 'Summary' tab and 'Monitoring' tab of the resource.


Expected results:

User should be navigated to the summary tab of the resource.


Additional info:
Comment 1 Jay Shaughnessy 2011-03-23 10:10:56 EDT
Fix commit: b649b2f2f9853879

I've said it before but this time I think these types of tabbing issues are finally resolved.

It comes down to both disabling/enabling the tabset at the proper times to prevent/allow user tab selection. *And* ignoring/accepting tab selection events at proper times to discard/process smartgwt generated tab selection events.

QA: In addition to testing the given scenario, also try rapid tab switching on the current entity (resource or group).
Comment 2 Sudhir D 2011-04-01 07:45:02 EDT
I have tested this with the latest RHQ build with steps mentioned in #Comment 0 and additional verification mentioned in #Comment 1. 

Marking this bug as verified.
Comment 3 Corey Welton 2011-05-23 21:14:42 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:14:42 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:14:43 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.